Skip to main content

Add NetApp support site credentials

Adds NetApp Support Site credentials, enabling access to support-related resources and services. Use this to integrate support site access into your workflows.

HTTP method and endpoint

PUT /api/v2/accounts/{accountId}/nss-credentials

Caution This operation is deprecated.

Parameters

Name Type In Required Description

accountId

string

path

True

NetApp tenancy account ID

Request Body

Name Type Required Description

nssUsername

string

True

NSS user

nssPassword

string

True

NSS password

Example request
{
  "nssUsername": "string",
  "nssPassword": "string"
}

Response

Status: 200, Default Response
Name Type Required Description

nssKeyId

string

True

NSS key ID

username

string

True

NSS username

Example response
{
  "nssKeyId": "string",
  "username": "string"
}